-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
JavaScript/jQuery Tabs - Selection
This demo processes tab selection and uses SelectBox and MultiView components to emulate page content. Both these components are bound to JavaScript Tabs, and vice versa.
Backend API
$(() => {
const tabsInstance = $('.tabs-container').dxTabs({
dataSource: employees,
selectedItem: employees[0],
onSelectionChanged({ component }) {
const { selectedItem } = component.option();
selectBox.option({ value: selectedItem });
multiView.option({ selectedItem });
},
}).dxTabs('instance');
const selectBox = $('#selectbox').dxSelectBox({
value: employees[0],
dataSource: employees,
inputAttr: { 'aria-label': 'Select Employee' },
displayExpr: 'text',
onValueChanged({ value }) {
tabsInstance.option('selectedItem', value);
},
}).dxSelectBox('instance');
const multiView = $('#multiview').dxMultiView({
height: 112,
width: '100%',
dataSource: employees,
selectedItem: employees[0],
loop: false,
animationEnabled: true,
itemTemplate(data, index, element) {
const $note = $('<div>')
.addClass('employee-info')
.append($(`<img alt="${data.text}" class="employee-photo" src="${data.picture}"/>`))
.append($('<p>').addClass('employee-notes').append($(`<b>Position: ${data.position}</b><br/>`)).append(data.notes));
element.append($note);
},
onSelectionChanged({ component }) {
const { selectedItem } = component.option();
tabsInstance.option({ selectedItem });
},
}).dxMultiView('instance');
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.8/css/dx.light.css" />
<script src="js/dx.all.js?v=25.2.8"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="center-content">
<div id="demo-items-container">
<div class="content dx-fieldset">
<div class="dx-field">
<div class="tabs-container"></div>
</div>
<div class="dx-field select-box-container">
<div class="dx-field-label">Selected user:</div>
<div class="dx-field-value">
<div id="selectbox"></div>
</div>
</div>
<div class="dx-field multiview-container">
<div id="multiview"></div>
</div>
<div class="icon-container">
<span class="dx-icon dx-icon-info"></span>
<span class="demo-info">You can use swipe gestures in this area.</span>
</div>
</div>
</div>
</div>
</div>
</body>
</html>
#center-content {
display: flex;
align-items: center;
justify-content: center;
}
.select-box-container,
.multiview-container {
padding: 16px;
}
#demo-items-container {
width: 680px;
}
.employee-info {
display: flex;
align-items: center;
}
.employee-photo {
height: 80px;
width: 80px;
border-radius: 50%;
border-width: 1px;
border-style: solid;
flex-shrink: 0;
object-fit: contain;
margin-right: 24px;
border-color: var(--dx-color-border);
}
.employee-notes b {
display: inline-block;
margin-bottom: 8px;
}
.dx-field-label {
font-size: 16px;
}
#multiview {
cursor: move;
}
.demo-info {
padding-left: 8px;
opacity: 0.6;
}
.icon-container {
padding-left: 16px;
display: flex;
align-items: center;
}
.dx-icon {
font-size: 18px;
}
const employees = [
{
id: 0,
icon: 'user',
text: 'John Heart',
position: 'CEO',
picture: '../../../../images/employees/01.png',
notes: 'John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003. When not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.',
},
{
id: 1,
icon: 'user',
text: 'Olivia Peyton',
position: 'Sales Assistant',
picture: '../../../../images/employees/09.png',
notes: 'Olivia loves to sell. She has been selling DevAV products since 2012. Olivia was homecoming queen in high school. She is expecting her first child in 6 months. Good Luck Olivia.',
},
{
id: 2,
icon: 'user',
text: 'Robert Reagan',
position: 'CMO',
picture: '../../../../images/employees/03.png',
notes: 'Robert was recently voted the CMO of the year by CMO Magazine. He is a proud member of the DevAV Management Team. Robert is a championship BBQ chef, so when you get the chance ask him for his secret recipe.',
},
];
You can use the following properties to configure selection:
-
selectedIndex
The index of the selected item. -
selectedItem
The selected item. -
selectedItems
An array of selected items. -
selectedItemKeys
An array of selected item keys. -
selectionMode
Specifies whether the component allows users to select only a single item or multiple items. -
onSelectionChanged
A function that is executed when a collection item is selected or selection is canceled.

Backend API
import React, { useCallback, useState } from 'react';
import Tabs from 'devextreme-react/tabs';
import SelectBox from 'devextreme-react/select-box';
import MultiView from 'devextreme-react/multi-view';
import { employees, selectBoxLabel } from './data.ts';
import type { Employee } from './types.ts';
interface EmployeeInfoProps {
data: Employee;
}
function EmployeeInfo({ data }: EmployeeInfoProps) {
const {
text,
picture,
position,
notes,
} = data;
return (
<div className="employee-info">
<img alt={text} className="employee-photo" src={picture} />
<p className="employee-notes">
<b>Position: {position}</b><br />
{notes}
</p>
</div>
);
}
const App = () => {
const [selectedItem, setSelectedItem] = useState<Employee | undefined>(employees[0]);
const onSelectionChanged = useCallback((args: { selectedItem?: typeof employees[0]; addedItems?: typeof employees }): void => {
setSelectedItem(args.selectedItem || args.addedItems?.[0]);
}, []);
return (
<div id="center-content">
<div id="demo-items-container">
<div className="content dx-fieldset">
<div className="dx-field">
<Tabs
dataSource={employees}
onSelectionChanged={onSelectionChanged}
selectedItem={selectedItem}
/>
</div>
<div className="dx-field select-box-container">
<div className="dx-field-label">Selected user:</div>
<div className="dx-field-value">
<SelectBox
dataSource={employees}
inputAttr={selectBoxLabel}
value={selectedItem}
onSelectionChanged={onSelectionChanged}
displayExpr="text"
/>
</div>
</div>
<div className="dx-field multiview-container">
<MultiView
height={112}
dataSource={employees}
selectedItem={selectedItem}
onSelectionChanged={onSelectionChanged}
loop={false}
itemComponent={EmployeeInfo}
animationEnabled={true}
/>
</div>
<div className="icon-container">
<span className="dx-icon dx-icon-info"></span>
<span className="demo-info">You can use swipe gestures in this area.</span>
</div>
</div>
</div>
</div>
);
};
export default App;
import React, { useCallback, useState } from 'react';
import Tabs from 'devextreme-react/tabs';
import SelectBox from 'devextreme-react/select-box';
import MultiView from 'devextreme-react/multi-view';
import { employees, selectBoxLabel } from './data.js';
function EmployeeInfo({ data }) {
const {
text, picture, position, notes,
} = data;
return (
<div className="employee-info">
<img
alt={text}
className="employee-photo"
src={picture}
/>
<p className="employee-notes">
<b>Position: {position}</b>
<br />
{notes}
</p>
</div>
);
}
const App = () => {
const [selectedItem, setSelectedItem] = useState(employees[0]);
const onSelectionChanged = useCallback((args) => {
setSelectedItem(args.selectedItem || args.addedItems?.[0]);
}, []);
return (
<div id="center-content">
<div id="demo-items-container">
<div className="content dx-fieldset">
<div className="dx-field">
<Tabs
dataSource={employees}
onSelectionChanged={onSelectionChanged}
selectedItem={selectedItem}
/>
</div>
<div className="dx-field select-box-container">
<div className="dx-field-label">Selected user:</div>
<div className="dx-field-value">
<SelectBox
dataSource={employees}
inputAttr={selectBoxLabel}
value={selectedItem}
onSelectionChanged={onSelectionChanged}
displayExpr="text"
/>
</div>
</div>
<div className="dx-field multiview-container">
<MultiView
height={112}
dataSource={employees}
selectedItem={selectedItem}
onSelectionChanged={onSelectionChanged}
loop={false}
itemComponent={EmployeeInfo}
animationEnabled={true}
/>
</div>
<div className="icon-container">
<span className="dx-icon dx-icon-info"></span>
<span className="demo-info">You can use swipe gestures in this area.</span>
</div>
</div>
</div>
</div>
);
};
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
import type { Employee } from './types.ts';
export const employees: Employee[] = [
{
id: 0,
icon: 'user',
text: 'John Heart',
position: 'CEO',
picture: '../../../../images/employees/01.png',
notes: 'John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003. When not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.',
},
{
id: 1,
icon: 'user',
text: 'Olivia Peyton',
position: 'Sales Assistant',
picture: '../../../../images/employees/09.png',
notes: 'Olivia loves to sell. She has been selling DevAV products since 2012. Olivia was homecoming queen in high school. She is expecting her first child in 6 months. Good Luck Olivia.',
},
{
id: 2,
icon: 'user',
text: 'Robert Reagan',
position: 'CMO',
picture: '../../../../images/employees/03.png',
notes: 'Robert was recently voted the CMO of the year by CMO Magazine. He is a proud member of the DevAV Management Team. Robert is a championship BBQ chef, so when you get the chance ask him for his secret recipe.',
},
];
export const selectBoxLabel = { 'aria-label': 'Select Employee' };
export type Employee = {
id: number;
icon: string;
text: string;
position: string;
picture: string;
notes: string;
};
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const employees = [
{
id: 0,
icon: 'user',
text: 'John Heart',
position: 'CEO',
picture: '../../../../images/employees/01.png',
notes:
'John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003. When not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.',
},
{
id: 1,
icon: 'user',
text: 'Olivia Peyton',
position: 'Sales Assistant',
picture: '../../../../images/employees/09.png',
notes:
'Olivia loves to sell. She has been selling DevAV products since 2012. Olivia was homecoming queen in high school. She is expecting her first child in 6 months. Good Luck Olivia.',
},
{
id: 2,
icon: 'user',
text: 'Robert Reagan',
position: 'CMO',
picture: '../../../../images/employees/03.png',
notes:
'Robert was recently voted the CMO of the year by CMO Magazine. He is a proud member of the DevAV Management Team. Robert is a championship BBQ chef, so when you get the chance ask him for his secret recipe.',
},
];
export const selectBoxLabel = { 'aria-label': 'Select Employee' };
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.8/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#center-content {
display: flex;
align-items: center;
justify-content: center;
}
.select-box-container,
.multiview-container {
padding: 16px;
}
#demo-items-container {
width: 680px;
}
.employee-info {
display: flex;
align-items: center;
}
.employee-photo {
height: 80px;
width: 80px;
border-radius: 50%;
border-width: 1px;
border-style: solid;
flex-shrink: 0;
object-fit: contain;
margin-right: 24px;
border-color: var(--dx-color-border);
}
.employee-notes b {
display: inline-block;
margin-bottom: 8px;
}
.dx-field-label {
font-size: 16px;
}
#multiview {
cursor: move;
}
.demo-info {
padding-left: 8px;
opacity: 0.6;
}
.icon-container {
padding-left: 16px;
display: flex;
align-items: center;
}
.dx-icon {
font-size: 18px;
}
You can use the following properties to configure selection:
-
selectedIndex
The index of the selected item. -
selectedItem
The selected item. -
selectedItems
An array of selected items. -
selectedItemKeys
An array of selected item keys. -
selectionMode
Specifies whether the component allows users to select only a single item or multiple items. -
onSelectionChanged
A function that is executed when a collection item is selected or selection is canceled.

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<div id="center-content">
<div id="demo-items-container">
<div class="content dx-fieldset">
<div class="dx-field">
<dx-tabs #tabs [dataSource]="employees" [selectedItem]="employees[0]">
</dx-tabs>
</div>
<div class="dx-field select-box-container">
<div class="dx-field-label">Selected user:</div>
<div class="dx-field-value">
<dx-select-box
id="selectbox"
displayExpr="text"
[dataSource]="employees"
[inputAttr]="{ 'aria-label': 'Select Employee' }"
[(value)]="tabs.selectedItem"
></dx-select-box>
</div>
</div>
<div class="dx-field multiview-container">
<dx-multi-view
[height]="112"
[dataSource]="employees"
[(selectedItem)]="tabs.selectedItem"
[loop]="false"
[animationEnabled]="true"
>
<div *dxTemplate="let data of 'item'">
<div class="employee-info">
<img
[alt]="data.text"
class="employee-photo"
[src]="data.picture"
/>
<p class="employee-notes">
<b>Position: {{ data.position }}</b
><br />
{{ data.notes }}
</p>
</div>
</div>
</dx-multi-view>
</div>
<div class="icon-container">
<span class="dx-icon dx-icon-info"></span>
<span class="demo-info">You can use swipe gestures in this area.</span>
</div>
</div>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxTabsModule, DxSelectBoxModule, DxMultiViewModule } from 'devextreme-angular';
import { Tab, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
})
export class AppComponent {
employees: Tab[];
constructor(service: Service) {
this.employees = service.getEmployees();
}
}
@NgModule({
imports: [
BrowserModule,
DxTabsModule,
DxMultiViewModule,
DxSelectBoxModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #center-content {
display: flex;
align-items: center;
justify-content: center;
}
::ng-deep .select-box-container,
.multiview-container {
padding: 16px;
}
::ng-deep #demo-items-container {
width: 680px;
}
::ng-deep .employee-info {
display: flex;
align-items: center;
}
::ng-deep .employee-photo {
height: 80px;
width: 80px;
border-radius: 50%;
border-width: 1px;
border-style: solid;
flex-shrink: 0;
object-fit: contain;
margin-right: 24px;
border-color: var(--dx-color-border);
}
::ng-deep .employee-notes b {
display: inline-block;
margin-bottom: 8px;
}
::ng-deep .dx-field-label {
font-size: 16px;
}
::ng-deep #multiview {
cursor: move;
}
::ng-deep .demo-info {
padding-left: 8px;
opacity: 0.6;
}
::ng-deep .icon-container {
padding-left: 16px;
display: flex;
align-items: center;
}
::ng-deep .dx-icon {
font-size: 18px;
}
import { Injectable } from '@angular/core';
export class Tab {
id: number;
text: string;
icon: string;
}
const employees = [
{
id: 0,
icon: 'user',
text: 'John Heart',
position: 'CEO',
picture: '../../../../images/employees/01.png',
notes: 'John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003. When not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.',
},
{
id: 1,
icon: 'user',
text: 'Olivia Peyton',
position: 'Sales Assistant',
picture: '../../../../images/employees/09.png',
notes: 'Olivia loves to sell. She has been selling DevAV products since 2012. Olivia was homecoming queen in high school. She is expecting her first child in 6 months. Good Luck Olivia.',
},
{
id: 2,
icon: 'user',
text: 'Robert Reagan',
position: 'CMO',
picture: '../../../../images/employees/03.png',
notes: 'Robert was recently voted the CMO of the year by CMO Magazine. He is a proud member of the DevAV Management Team. Robert is a championship BBQ chef, so when you get the chance ask him for his secret recipe.',
},
];
@Injectable()
export class Service {
getEmployees(): Tab[] {
return employees;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'chart',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speed-dial-action',
'splitter',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/compiler': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
'bundles:': '../../../../bundles/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@24.1.6/cjs',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.13',
'devextreme/bundles/dx.all': 'npm:devextreme@24.1.6/bundles/dx.all.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.11',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.56',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
return acc;
}, {}),
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'tslib': 'npm:tslib@2.6.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.13/inferno/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.11/package.json',
'npm:devexpress-gantt@4.1.56/package.json',
],
};
System.config(window.config);
// System.import('@angular/compiler').catch(console.error.bind(console));
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/24.1.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.13.3/bundles/zone.umd.min.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
You can use the following properties to configure selection:
-
selectedIndex
The index of the selected item. -
selectedItem
The selected item. -
selectedItems
An array of selected items. -
selectedItemKeys
An array of selected item keys. -
selectionMode
Specifies whether the component allows users to select only a single item or multiple items. -
onSelectionChanged
A function that is executed when a collection item is selected or selection is canceled.

Backend API
<template>
<div id="center-content">
<div id="demo-items-container">
<div class="content dx-fieldset">
<div class="dx-field">
<DxTabs
v-model:selected-index="selectedItemId"
:data-source="employees"
/>
</div>
<div class="dx-field select-box-container">
<div class="dx-field-label">Selected user:</div>
<div class="dx-field-value">
<DxSelectBox
display-expr="text"
value-expr="id"
:data-source="employees"
v-model:value="selectedItemId"
:input-attr="{ 'aria-label': 'Select Employee' }"
/>
</div>
</div>
<div class="dx-field multiview-container">
<DxMultiView
v-model:selected-index="selectedItemId"
:height="112"
:data-source="employees"
:loop="false"
:animation-enabled="true"
>
<template #item="{ data }">
<div>
<div class="employee-info">
<img
class="employee-photo"
:alt="data.text"
:src="data.picture"
>
<p class="employee-notes">
<b>Position: {{ data.position }}</b><br>
{{ data.notes }}
</p>
</div>
</div>
</template>
</DxMultiView>
</div>
<div class="icon-container">
<span class="dx-icon dx-icon-info"/>
<span class="demo-info">You can use swipe gestures in this area.</span>
</div>
</div>
</div>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import DxSelectBox from 'devextreme-vue/select-box';
import DxTabs from 'devextreme-vue/tabs';
import DxMultiView from 'devextreme-vue/multi-view';
import { employees } from './data.ts';
const selectedItemId = ref(employees[0].id);
</script>
<style>
#center-content {
display: flex;
align-items: center;
justify-content: center;
}
.select-box-container,
.multiview-container {
padding: 16px;
}
#demo-items-container {
width: 680px;
}
.employee-photo {
height: 80px;
width: 80px;
border-radius: 50%;
border-width: 1px;
border-style: solid;
flex-shrink: 0;
object-fit: contain;
margin-right: 24px;
border-color: var(--dx-color-border);
}
.employee-info {
display: flex;
align-items: center;
}
.employee-notes b {
display: inline-block;
margin-bottom: 8px;
}
.dx-field-label {
font-size: 16px;
}
#multiview {
cursor: move;
}
.demo-info {
padding-left: 8px;
color: var(--dx-color-icon);
}
.icon-container {
padding-left: 16px;
display: flex;
align-items: center;
}
.dx-icon {
font-size: 18px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.32/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'project:utils/demo-vue-loader.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'demo-ts-shared': 'project:utils/demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export const employees = [
{
id: 0,
icon: 'user',
text: 'John Heart',
position: 'CEO',
picture: '../../../../images/employees/01.png',
notes: 'John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003. When not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.',
},
{
id: 1,
icon: 'user',
text: 'Olivia Peyton',
position: 'Sales Assistant',
picture: '../../../../images/employees/09.png',
notes: 'Olivia loves to sell. She has been selling DevAV products since 2012. Olivia was homecoming queen in high school. She is expecting her first child in 6 months. Good Luck Olivia.',
},
{
id: 2,
icon: 'user',
text: 'Robert Reagan',
position: 'CMO',
picture: '../../../../images/employees/03.png',
notes: 'Robert was recently voted the CMO of the year by CMO Magazine. He is a proud member of the DevAV Management Team. Robert is a championship BBQ chef, so when you get the chance ask him for his secret recipe.',
},
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
You can use the following properties to configure selection:
-
selectedIndex
The index of the selected item. -
selectedItem
The selected item. -
selectedItems
An array of selected items. -
selectedItemKeys
An array of selected item keys. -
selectionMode
Specifies whether the component allows users to select only a single item or multiple items. -
onSelectionChanged
A function that is executed when a collection item is selected or selection is canceled.